import request from '@/utils/request'

// 创建入仓货物详情
export function createOrderWarehouseIn(data) {
  return request({
    url: '/depository/order-warehouse-in/create',
    method: 'post',
    data: data
  })
}

// 更新入仓货物详情
export function updateOrderWarehouseIn(data) {
  return request({
    url: '/depository/order-warehouse-in/update',
    method: 'put',
    data: data
  })
}

// 删除入仓货物详情
export function deleteOrderWarehouseIn(id) {
  return request({
    url: '/depository/order-warehouse-in/delete?id=' + id,
    method: 'delete'
  })
}

// 获得入仓货物详情
export function getOrderWarehouseIn(id) {
  return request({
    url: '/depository/order-warehouse-in/get?id=' + id,
    method: 'get'
  })
}

// 获得入仓货物详情分页
export function getOrderWarehouseInPage(query) {
  return request({
    url: '/depository/order-warehouse-in/page',
    method: 'get',
    params: query
  })
}

// 导出入仓货物详情 Excel
export function exportOrderWarehouseInExcel(query) {
  return request({
    url: '/depository/order-warehouse-in/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
